.TH scmxx 1 2004-08-15 SCMxx
.SH ИМЯ
scmxx \- осуществляет обмен данными с вашим мобильным телефоном Siemens
.SH СИНТАКСИС
.HP 6
.B scmxx 
.RB [ \-\-device " устройство]"
.RB [ \-\-baud " скорость_передачи]"
.RB [ \-\-quiet ]
.RB [ \-\-verbose ]
.BR \-\-reset | \-\-info | \-\-set\-time | \-\-mem\-info | \-\-lock\-info |
.BR \-\-toggle\-lock " блокировка"
.PP
.HP 6
.B scmxx 
.RB [ \-\-device " устройство]"
.RB [ \-\-baud " скорость_передачи]"
.RB [ \-\-quiet ]
.RB [ \-\-verbose ]
.BR \-\-set\-smsc
.BR \-\-number " номер"
.PP
.HP 6
.B scmxx 
.RB [ \-\-device " устройство]"
.RB [ \-\-baud " скорость_передачи]"
.RB [ \-\-quiet ]
.RB [ \-\-verbose ]
.RB [ \-\-out " файл]"
.RB [ \-\-pipe " канал]"
.BR \-\-remove | \-\-send | \-\-get
.B  \-\-binary
.BR \-\-mem " тип_памяти"
.BR \-\-slot " слот"
[файл ...]
.PP
.HP 6
.B scmxx 
.RB [ \-\-device " устройство]"
.RB [ \-\-baud " скорость_передачи]"
.RB [ \-\-quiet ]
.RB [ \-\-verbose ]
.RB [ \-\-out " файл]"
.RB [ \-\-pipe " канал]"
.RB [ \-\-pin " PIN-код]"
.BR \-\-remove | \-\-send | \-\-get
.B  \-\-pbook
.BR \-\-mem " тип_памяти"
[файл ...]
.PP 
.HP 6
.B scmxx 
.RB [ \-\-device " устройство]"
.RB [ \-\-baud " скорость_передачи]"
.RB [ \-\-quiet ]
.RB [ \-\-verbose ]
.RB [ \-\-out " файл]"
.RB [ \-\-pipe " канал]"
.BR \-\-remove | \-\-send | \-\-get
.B  \-\-sms
.BR \-\-mem " тип_памяти"
.BR \-\-slot " слот"
.RB [ \-\-text " текст]"
.RB [ \-\-number " номер]" 
.RB [ \-\-direct ]
.RB [ \-\-flash ]
.RB [ \-\-srr ]
.RB [ \-\-unicode ]
[файл ...]
.PP
.HP 6
.B scmxx 
.BR \-\-help | \-\-version 

.SH ОПИСАНИЕ
SCMxx может копировать файлы в мобильный телефон Siemens и обратно, а
также удалять сохраненные файлы. Файлы могут быть прочитаны из
указанного файла или получены через стандартный ввод и сохранены в
конкретном файле или переданы на стандартный вывод. SMS могут быть также
напрямую переданы или приняты без сохранения в мобильном телефоне. SCMxx
была протестирована с несколькими мобильными телефонами, произведенными
Siemens (только S25 и поздние), а при работе с неподдерживаемыми
телефонами будет выведено предупреждение.

.SH ОПЦИИ
.TP 20
.B --device (-d)
определить отличное от вкомпилированного имя устройства. Опция
перекрывает переменную окружения SCMXX_TTY и вкомпилированное значение.
Для системы linux может быть, к примеру, /dev/ttyS0 для
последовательного соединения, /dev/ircomm0 для соединения по
инфракрасному порту и /dev/rfcomm0 для соединения по каналу bluetooth.
.TP 20
.B --baud (-b)
определить скорость устройства. Подходящие значения зависят от системы,
но могут быть 9600, 19200, 38400, 57600 или 115200. Значение по
умолчанию 19200. Телефоны S25 и *35i работают только при скорости 19200,
все поздние модели также работают при полной скорости последовательного
канала. Соединения по инфракрасному порту могут содержать исключения из
этих правил (зависит от реализации порта). Опция перекрывает значение
переменной окружения SCMXX_BAUD и вкомпилированное значение.
.TP 20
.B --out (-o)
определить используемый файл. При получении бинарных файлов с параметром
"all" к каждому файлу присоединяется номер слота, точка и тип файла.
При отправке или удалении, опция не будет использоваться, но в качестве
параметра должны быть указаны корректные файлы. Стандартный вывод должен
быть однозначно выбран через дефис ("-"), по умолчанию ничего не
выводится на стандартный вывод. Ничего не добавляется к "-", когда идет
получение группы файлов.
.TP 20
.B --pipe (-p)
определить канал к другой программе. При получении данных с параметром
"all", каждый файл будет передан по каналу к этим программам сам собой
(только для опций --binary и --sms).
.TP 20
.B --quiet (-q)
уменьшить степень подробности вывода на 1
.TP 20
.B --pin
использовать эту опцию, если требуется ввести PIN код для доступа
.TP 20
.B --verbose (-v)
увеличить степень подробности вывода на 1
.TP 20
.B --reset
попытаться сбросить телефон, и он снова станет доступен. Это может
понадобится в случае, если телефон не отвечает больше по
последовательному интерфейсу, особенно при прерванной перед этим
пользователем передачи файла. Произойдет просто слепая передача
некоторых специальных символов.
.TP 20
.B --help (-h)
вывести текст помощи
.TP 20
.B --version
вывести номер версии
.TP 20
.B --remove (-r)
удалить запись в телефоне.
Когда опция определена с опциями --sms и --get, будут произведены
получение и удаление. Когда опция определена с опциями --sms и --send,
будут произведены отправка и удаление.
.TP 20
.B --get (-g)
получить запись и сохранить ее в файл.
Когда опция определена с опциями --sms и --remove, будут произведены
получение и удаление. Когда опция определена с опциями --sms и --send,
будут произведены получение и отправка.
.TP 20
.B --send (-s)
отправить файл в телефон.
При отправке sms возможно использование совместно с опцией --direct,
чтобы его увидеть на экране. Когда опция определена с опциями --sms и
--remove, будут произведены отправка и удаление. Когда опция определена
с опциями --sms и --send, будут произведены получение и отправка.
.TP 20
.B --info (-i)
собрать информацию о телефоне, --mem-info может быть использована для
переключения вывода между кратким и более сложным списком доступных
типов памяти.
.TP 20
.B --mem-info
отобразить информацию о доступных типах памяти и их слотах, а также
другую информацию. Опция использует такой же формат, как и --mem=?
(смотрите ниже), и также может быть использована как переключатель для
--info, чтобы заместить краткий список типов памяти.
.TP 20
.B --lock-info
отобразить состояние блокировок. Может быть также использована как
переключатель для --info, чтобы заместить вывод списка имен блокировок.
.TP 20
.B --toggle-lock
инвертировать состояние блокировки. Для некоторых блокировок необходим
пароль (используйте опцию --pin в таком случае).
.TP 20
.B --set-time
синхронизировать время в телефоне. Рекомендуется использовать
инструменты типа ntpdate перед синхронизацией.
.TP 20
.B --set-smsc
установить номер SMS-центра (требует опцию --number)
.TP 20
.B --binary (-N)
выбрать режим обмена бинарными файлами
.TP 20
.B --pbook (-P)
выбрать режим передачи телефонной книги
.TP 20
.B --sms (-S)
выбрать режим службы коротких сообщений
.TP 20
.B --mem
выбрать тип памяти, к которой осуществляется доступ. Номера слотов могут
варьироваться в зависимости от выбранного типа памяти. Смотрите вывод
опции --info для определения поддерживаемых типов памяти. Без
использования этой опции срабатывает поведение по умолчанию (если
таковое было определено).  Специальная строка "?" предназначена для
вывода в таком же формате, как и --mem-info, но только для выбранного
режима.
.TP 20
.B --slot
выбрать слот, к которому осуществляется доступ. Смотрите вывод
--mem-info или --mem=?. Без использования этой опции включается
поведение по умолчанию (если таковое было определено).
Специальная строка "all" определяет полный диапазон всех доступных
слотов для выбранных типа памяти и режима, за исключением использования
совместно с --sms, и не может быть использована совместно с --send. Для
SMS, доступны четыре дополнительных специальных строки: "read"
(прочитанные), "unread" (непрочитанные), "sent" (отправленные) и
"unsent" (неотправленные). Последние два варианта могут быть
использованы вместе с --send. При опущенной этой опции и использовании
вместе с --send scmxx попытается найти свободный слот (что может занять,
а может и нет, некоторое длительное время).
Когда слот и группа файлов для загрузки определены, необходимый слот
является стартовой точкой для поиска свободных слотов. Перезапись группы
непустых слотов пока что не поддерживается.
.TP 20
.B --text (-t)
определить содержание текста короткого сообщения или записи телефонной
книги. Для коротких сообщений длина сейчас ограничена 160 символами в
кодировке GSM (минус 1 на каждый используемый символ, который нуждается
в 14-битном кодировании) или 140 символами в кодировке UCS-2.
Программа откажет в отправке, если текст слишком длинный.
Для записей телефонной книги лимит длины может зависеть от выбранной
книги (см. вывод --mem-info или --mem=?).
.TP 20
.B --number (-n)
определить номер для отправки короктого сообщения или номер записи
телефонной книги. Заметьте, что номер может иметь вначале '+' для
международных номеров. Он ограничен 20 цифрами (без '+'), которых
действительно достаточно.
.TP 20
.B --direct
отправить/получить короткие сообщения без сохранения в памяти телефона.
Это не выполняется по умолчанию, так как вы будете несомненно заняты
сообщением, при отправке. При непосредственном получении, SMS, тип
которого не соответствует DELIVER, все еще сохраняется в памяти телефона
(scmxx не может пока что декодировать такие сообщения).
.TP 20
.B --unicode
переслать сообщение и ипользовать UCS-2 (16бит unicode) как таблицу
символов.  Эта опция ограничит длину сообщения до 70 символов. Если
опция не определена, то будет использовано кодирование символов 7бит GSM
с максимальным ограничением в 160 символов. Необязательно применять эту
опцию для декодирования сообщений, написанных в кодировке unicode.
.TP 20
.B --flash
установить class0 в поле схемы кодирования данных, что обычно
интерпретируется как "немедленное отображение". Не все принимающие
аппараты дают право делать это. Заметьте, что очередное sms обычно
перезаписывает предыдущее сообщение без вопросов такого типа! Ее
использование не рекомендуется.
.TP 20
.B --srr
установить StatusReportRequest бит в поле pdutype из sms pdu. Это
зависит от SMSC, если это принимать во внимание. С некоторыми
провайдерами это потребует дополнительных затрат!
.TP 20
.B --sort
сортировать сообщения при печати на выбранное устройство вывода.
Возможными методами сортировки являются "type" (тип), "slot" (слот) и
"type,slot" (тип, слот). "type" сортирует по типу короткого сообщения с
вложенным порядком сортировки, при котором неподдерживаемые типы
печатаются вначале, затем sorts for the type of the short message
SMS-SUBMIT, SMS-STATUS-REPORT и SMS-DELIVER. "slot" сортирует по слоту
короткого сообщения "type,slot" осуществляет сортировку вначале по
"type" и затем внутри каждого типа по "slot". По умолчанию никакой
сортировки не производится (порядок зависит от телефона).
.SH ИСПОЛЬЗОВАНИЕ
.TP 5
Отправить файл растрового изображения в телефон как Картинку:
.br
scmxx --send --binary --mem="bmp" --slot=0 myfile.bmp
.TP 5
Получить Картинку из телефона и сохранить ее в новом файле:
.br
scmxx --get --binary --mem="bmp" --slot=0 --out=myfile.bmp
.TP 5
Получить все непрочитанные (режим по умолчанию при get) короткие
сообщения и вывести их на стандартный вывод:
.br
scmxx --get --sms --slot=unread --output=-
.br
scmxx -gS -o-
.TP 5
Отправить короткое сообщение напрямую (без сохранения в телефоне):
.br
scmxx --send --sms --direct --number=123 --text="тест"
.TP 5
Получить телефонную книгу и сохранить ее в файле:
.br
scmxx --get --pbook --mem=SM --output=SM.pb
.TP 5
Изменить определенный слот (33) в памяти телефонных книг SM:
.br
scmxx -sP --mem=SM --slot=33 --number=123 --text="тест"

.SH ЗАМЕЧАНИЯ
Выводимый текст (телефонная книга и сообщения) зависит от таблицы
символов текущей локализации. Вводимый аналогично. Такое преимущество у
локализации, но есть и недостаток, что все остальные символы должны
вводиться через последовательность вида \eXXXX, где X -
шестнадцатиричный символ (например, \e20ac для знака Euro). Это 16битное
представление значения unicode.  Представление \eXXXX используется
только для вывода с целью его последующего прочтения. При нормальном
выводе, символы, которые не могут быть отображены в текущей локализации,
заменяются на символ '?'. Использование локализации, базирующейся на
UTF-8, гарантирует, что все символы могут быть перекодированы.  Символ
новой строки может быть введен, используя общее представление \en, а
символ '\e' должен быть экранирован сам собой. В bash в результате
необходимо вводить строку подобно "\e\e\e\e".

.SH ПРОБЛЕМЫ СОЕДИНЕНИЯ
Здесь описываются дополнительные параметры --ignore-serial-bits (по
умолчанию) и --keep-serial-bits. Используйте его только тогда, когда
вообще нет ответа от телефона. Такие установки зависят от кабеля и
последовательного порта и не могут быть определены автоматически.
.P
Если при первой команде происходят таймауты, следует попробовать параметр
--start-delay=<секунды>.
.P
Другой параметр --device-timeout=<секунды> предназначен для случая, когда
телефону когда-либо потребуется больше времени на ответ, чем определенные
по умолчанию 10 секунд. Действительно, это было более чем достаточно, но
кто знает. Минимальное значение равно 1, значения, превышающие 25,
подразумевают ожидание ответа до тех пор, пока он не будет получен.

.SH БЕЗОПАСНОСТЬ
Опцию --pin необходимо использовать с осторожностью. Опция и ее аргумент
будут видны в списке процессов.

.SH ПЕРЕМЕННЫЕ ОКРУЖЕНИЯ
.P
.TP 20
.B SCMXX_TTY
смотрите описание опции --device
.P
.TP 20
.B SCMXX_BAUD
смотрите описание опции --baud

.SH ФАЙЛЫ
.P
.TP 20
.B ~/.scmxx/cache.pb
этот файл служит при выводе короткого сообщения (для подмены адресов
получателя и отправителя) и при отправке короткого сообщения для подмены
номера в опции --number. Формат файла совпадает с форматом файла для
телефонной книги (номера слотов не учитываются, но должны
присутствовать).
.TP 20
.B ~/.scmxx/config
этот файл может содержать набор длинных опций (без \-\-), аргументы
отделяются от названия опции символом '='. Любое количество пробельных
символов допускается вначале строки, перед и после разделителя. Символ
'#' вначале строки помечает ее как комментарий.
.br
Примеры:
.br
#выбрать устройство доступа
.br
device  =  /dev/ttyS0
.br
#всегда отправлять SMS с использованием UCS-2
.br
unicode

.SH АВТОР
Hendrik Sattler <post@hendrik-sattler.de>.
Перевод выполнен Andy Shevchenko <andy@smile.org.ua> и Irina
Yeresko <mecec@yandex.ru>

